Bug 121382 - irq_vectors.h not found while building kernel module
Summary: irq_vectors.h not found while building kernel module
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-20 22:13 UTC by Philip Balister
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 12:06:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Balister 2004-04-20 22:13:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
I am trying to build the ipw2100 driver (intel mini pci wireless
card). I need to build the hostap driver for this. While trying to
build this it complains it can't find irq_vectors.h. This file comes
from irq.h in /lib/modules/xxxx/build/include/asm/irq.h. asm is linked
to asm-i386. irq.h is calling for the file "irq_vectors.h". No
irq_vectors.h in the asm-i386 directory, but there is one in the
mach-default directory below the asm-i386 directory.

I think a soft link is in order, however maybe there is a correct
solution also.

I hope this makes sense to someone.

Thanks,

Philip

Version-Release number of selected component (if applicable):
2.6.5-1.327

How reproducible:
Always

Steps to Reproduce:
1.build module that uses irq.h
2.
3.
    

Actual Results:  failure

Expected Results:  success

Additional info:

Comment 1 Philip Balister 2004-05-19 12:06:16 UTC
Problem has gone away with later kernels. IPW2100 builing fine now ....


Note You need to log in before you can comment on or make changes to this bug.